Summary:       FreeBoB firewire audio driver library
Summary(ja):   FreeBoB firewire オーディオドライバライブラリ
Name:          libfreebob
Version:       1.0.7
Release:       1%{?_dist_release}
License:       GPL
Group:         System Environment/Libraries
Source0:       http://surfnet.dl.sourceforge.net/sourceforge/freebob/libfreebob-%{version}.tar.bz2
Patch0:	       libfreebob-1.0.3-cstdlib.patch
Patch1:	       libfreebob-1.0.3-gcc43.patch
URL:           http://freebob.sourceforge.net

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libavc1394-devel >= 0.5.3, libiec61883-devel, libraw1394-devel
BuildRequires: alsa-lib-devel, libxml2-devel, autoconf

%description
libfreebob implements a userland driver for BeBoB-based fireware audio
devices.

%package devel
Summary: Libraries, includes etc to develop with libfreebob
Summary(ja): Libraries, includes etc to develop with libfreebob
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries, includes etc to develop with libfreebob.

%prep
%setup -q
%patch1 -p0
# Tweak libiec61883 build requirements.
perl -pi -e 's/1.1.0/1.0.0/' configure

%build
%configure --disable-static
make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libfreebob.pc
%{_includedir}/*

%changelog
* Thu Jul 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.7-1
- initial build for Vine Linux

* Thu Feb 28 2008 Anthony Green <green@redhat.com> 1.0.7-4
- Add another gcc 4.3 patch.

* Thu Feb 28 2008 Anthony Green <green@redhat.com> 1.0.7-3
- Add another gcc 4.3 patch.

* Thu Feb 28 2008 Anthony Green <green@redhat.com> 1.0.7-2
- Add another gcc 4.3 patch.

* Thu Feb 28 2008 Anthony Green <green@redhat.com> 1.0.7-1
- Upgrade to 1.0.7.

* Thu Feb 28 2008 Anthony Green <green@redhat.com> 1.0.3-4
- Add another gcc 4.3 patch.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.3-3
- Autorebuild for GCC 4.3

* Thu Jan 03 2008 Anthony Green <green@redhat.com> 1.0.3-2
- Add cstdlib patch for gcc 4.3.

* Thu Mar 15 2007 Anthony Green <green@redhat.com> 1.0.3-1
- Upgrade sources to 1.0.3.

* Sat Oct 21 2006 Anthony Green <green@redhat.com> 1.0.0-3
- Remove %%doc line from devel package.
- Remove trailing '.' from devel package summary.

* Wed Oct 11 2006 Anthony Green <green@redhat.com> 1.0.0-2
- Use upstream tarball release, not svn 1.0 release.
- Tweak %%files.
- Tweak libiec61883 build requirements in configure script.
- Don't generate configure script and remove some autotools dependencies.

* Sat Sep  9 2006 Anthony Green <green@redhat.com> 1.0-1
- Created.
